#include <QColor>
#include "Pgsql_oids.h"

#pragma once

bool isDarkMode();

struct ColorTheme
{
    QColor defaultTextColor;

    QColor gutterBackground;
    QColor lineNumber;
    QColor currentLine;
    QColor errorLine;

    QColor keyword;
    QColor comment;
    QColor quotedString;
    QColor quotedIdentifier;
    QColor type;
    QColor parameter;

    QColor gigaBytes;
    QColor megaBytes;
    QColor kiloBytes;
    QColor bytes;

    QColor booleanTrue;
    QColor booleanFalse;

    QColor integerColor;
    QColor floatColor;
    QColor numericColor;
    QColor nullColor;

    QColor numericTypeColor;
    QColor dateTimeTypeColor;
    QColor stringTypeColor;


    QColor GetColorForType(Oid oid) const;

};

const ColorTheme& GetColorTheme();

void InitApplicationPalette();
